Skip to main content
`Ctrl`+`K`

# PetscSectionView

Views a `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionView(PetscSection s, PetscViewer viewer)

Collective

## Input Parameters

- s - the `PetscSection` object to view

- viewer - the viewer

## Note

`PetscSectionView()`, when viewer is of type `PETSCVIEWERHDF5`, only saves distribution independent data, such as dofs, offsets, constraint dofs, and constraint indices. Points that have negative dofs, for instance, are not saved as they represent points owned by other processes. Point numbering and rank assignment is currently not stored. The saved section can be loaded with `PetscSectionLoad()`.

## See Also

PetscSection, `PetscSection`, `PetscSectionCreate()`, `PetscSectionDestroy()`, `PetscSectionLoad()`, `PetscViewer`

## Level

beginner

## Location

src/vec/is/section/interface/section.c

## Examples

src/snes/tutorials/ex13.c
src/dm/impls/plex/tutorials/ex1f90.F90

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages